Package commoble.morered.client

# Class EdgeRotation

java.lang.Object
commoble.morered.client.EdgeRotation

public class EdgeRotation extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.client.resources.model.BlockModelRotation[]`
`EDGE_ROTATIONS`
Rotating the down-west edge by EDGE_ROTATIONS[i] results in Edge.values()[i]

## Constructor Summary

Constructors
Constructor
Description
`EdgeRotation()`

## Method Summary

Modifier and Type
Method
Description
`static Edge`
`getRotatedEdge(Edge oldEdge, org.joml.Matrix4f rotation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EDGE_ROTATIONS

public static final net.minecraft.client.resources.model.BlockModelRotation[] EDGE_ROTATIONS
Rotating the down-west edge by EDGE_ROTATIONS[i] results in Edge.values()[i]

## Constructor Details

### EdgeRotation

public EdgeRotation()

## Method Details

### getRotatedEdge

public static Edge getRotatedEdge(Edge oldEdge, org.joml.Matrix4f rotation)